unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, OleCtrls, ExtCtrls, jpeg, PzVoiceTool3Lib_TLB;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Image1: TImage;
    Button1: TButton;
    Image2: TImage;
    Button2: TButton;
    SpeechCtrl1: TSpeechCtrl;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure SpeechCtrl1PhraseRecognized(Sender: TObject;
              const Phrase: WideString);
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure SpeechCtrl1ChangeMicState(Sender: TObject; bOn: WordBool);
    procedure SpeechCtrl1ChangeAudioState(Sender: TObject;
      lLevel: Integer);
    procedure Button2Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;
  Gauge: array[0..10] of TPicture;
  MyPath: String;
  mic_status: Boolean;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
    rc, i: Integer;
begin
    Memo1.Clear;

    MyPath:= ExtractFilePath(Application.EXEName);
    if MyPath[Length(MyPath)] <> '\' then
       MyPath:= MyPath + '\';

    for i:=0 to 10 do
        begin
        Gauge[i]:= TPicture.Create;
        Gauge[i].LoadFromFile(MyPath + 'image\' + 'gauge' + IntToStr(i) + '.jpg');
        end;

    SpeechCtrl1.Rejection := False;
    SpeechCtrl1.Threshold := 5;
    SpeechCtrl1.Initialize;
    rc := SpeechCtrl1.VocabLoad('COLOR', MyPath + 'word.fsg');
    rc := SpeechCtrl1.VocabEnable('COLOR');
    rc := SpeechCtrl1.VocabEnable('text');
    rc := SpeechCtrl1.FocusOn(True);
    rc := SpeechCtrl1.MicOn(True);
    SpeechCtrl1.StartReco;
end;

procedure TForm1.FormDestroy(Sender: TObject);
var
    i: Integer;
begin
    for i:=0 to 10 do
        begin
        Gauge[i].Free;
        end;
    SpeechCtrl1.Terminate();
end;

procedure TForm1.SpeechCtrl1PhraseRecognized(Sender: TObject;
  const Phrase: WideString);
var
    ann_str: String;
    Annotation: Variant;
    voc_name: WideString;
    x: Integer;
    col_image: String;
begin
    voc_name:= SpeechCtrl1.PhraseVocabName;
    if voc_name = 'COLOR' Then
       begin
       ann_str:= '';
       Annotation:= SpeechCtrl1.PhraseAnnotaionString;
       for x:= VarArrayLowBound(Annotation, 1) to VarArrayHighBound(Annotation,1) do
           begin
           ann_str:= ann_str + Annotation[x];
           end;
       col_image:= 'wi.jpg';
       if Phrase = '' then
          begin
          col_image:= '.jpg';
          end
       else if Phrase = '' then
           begin
           col_image:= '.jpg';
           end
       else if Phrase = 'F' then
           begin
           col_image:= '.jpg';
           end
       else if Phrase = '' then
           begin
           col_image:= '.jpg';
           end
       else if Phrase = 'I' then
           begin
           Button2.Click;
           end;
       Image1.Picture.Graphic.LoadFromFile(MyPath + 'Image\' + col_image);
       SpeechCtrl1.ContReco;
       end
    else if voc_name = 'text' then
       begin
       Memo1.SelStart:= Memo1.GetTextLen;
       Memo1.SelText:= Phrase;
       end;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
    SpeechCtrl1.FocusOn(true);
    if SpeechCtrl1.MicStatus <> true then
       SpeechCtrl1.MicOn(true);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
    if mic_status = false then
       begin
       SpeechCtrl1.MicOn(true);
       end
    else
       begin
       SpeechCtrl1.MicOn(false);
       end;
end;

procedure TForm1.SpeechCtrl1ChangeMicState(Sender: TObject; bOn: WordBool);
begin
    if bOn = false then
       begin
       mic_status:= false;
       Button1.Caption:= '}CNIɂĂ';
       end
    else
       Begin
       mic_status:= true;
       Button1.Caption:= 'Ă';
       end;
end;

procedure TForm1.SpeechCtrl1ChangeAudioState(Sender: TObject;
  lLevel: Integer);
begin
    Image2.Picture:= Gauge[lLevel];
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    if MessageDlg('IĂ낵ł?', mtConfirmation, [mbYes, mbNo], 0) = mrYes then
       begin
       MessageDlg('I܂', mtInformation, [mbOk], 0);
       Close;
    end;
end;

end.

